Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82410 - can't cvs login: CVSROOT/config permission denied
Summary: can't cvs login: CVSROOT/config permission denied
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs
Version: 7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 21:37 UTC by Need Real Name
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-29 18:23:48 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-21 21:37:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
I just upgraded to the most recent cvs errata package released yesterday (20th
January) and now I can't login to cvs. I upgraded using up2date. Now when I try
to login:

moos:pts/0 16:30 [~] 1> cvs login
Logging in to :pserver:moosauthor@moos.mit.edu:2401/home/moos/REPOSITORY
CVS password: 
cvs [login aborted]: unrecognized auth response from moos.mit.edu: cvs pserver:
cannot open /home/moos/REPOSITORY/CVSROOT/config: Permission denied

I'm not sure why this is happening. The permissions on the config file are the
same as they were before I upgraded:

moos:pts/0 16:35 [~] 0> ls -l ~/REPOSITORY/CVSROOT/config
-r--r--r--    1 moos     moos          527 Oct  1 16:36
/home/moos/REPOSITORY/CVSROOT/config

So, for now I can't use CVS, unless I downgrade, but that re-opens a security
hole, so this is pretty annoying. Please help.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade to most recent cvs package
2. Try to log in
3. And you can't.
    

Additional info:

Comment 1 Need Real Name 2003-01-24 17:05:49 UTC
Haven't heard anything on this; please help, I need to have this cvs server
available.

thanks
--Jim

Comment 2 Need Real Name 2003-02-26 17:00:25 UTC
well, this lack of response has been pretty disappointing.

I've switched the computer (and our other linux computers) to Debian.



Note You need to log in before you can comment on or make changes to this bug.